MFCC: To MelSpectrogram...

A command to (re)construct a MelSpectrogram object from the selected MFCC object.

## Settings

From coefficient, To coefficient
  the range of coefficients that will be used in the reconstruction.
Include constant term
  selects whether or not to include the c0 coefficient in the reconstruction. As can be seen from the formula below, the contribution of the c0 term is equal for each filter.

## Details

The values Pj in each frame of the MelSpectrogram will be constructed by applying the inverse Discrete Cosine Transform to the corresponding frame of the MFCC object:

Pj = 2/N (c0/2 + Σk=1N-1 ck cos (πk(j-0.5)/N))),

where N represents the number of filters that were used to get the MFCC object, j runs from 1 to N, and coefficients ck with k less than fromCoefficient and k larger than toCoefficient take zero values in the evaluation.

### Links to this page

- MFCC: To MelFilter...